/**
 * 
 */
package de.mpiwg.itgroup.annotations;

/*
 * #%L
 * AnnotationManager
 * %%
 * Copyright (C) 2012 - 2014 MPIWG Berlin
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */

/**
 * @author casties
 *
 */
public class Group extends Actor {

    public Group(String id) {
        super();
        this.id = id;
    }

    public Group(String uri, String name) {
        super();
        this.uri = uri;
        this.name = name;
    }

    public Group(String id, String uri, String name) {
        super();
        this.id = id;
        this.uri = uri;
        this.name = name;
    }


    @Override
    public boolean isGroup() {
        return true;
    }

    public String getIdString() {
        if (id == null) {
            id = getIdFromUri(uri, true);
        }
        return "group:" + id;
    }

}
