package de.mpiwg.itgroup.annotations;

/*
 * #%L
 * AnnotationManager
 * %%
 * Copyright (C) 2012 - 2014 MPIWG Berlin
 * %%
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as 
 * published by the Free Software Foundation, either version 3 of the 
 * License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Lesser Public License for more details.
 * 
 * You should have received a copy of the GNU General Lesser Public 
 * License along with this program.  If not, see
 * <http://www.gnu.org/licenses/lgpl-3.0.html>.
 * #L%
 */

import de.mpiwg.itgroup.annotations.restlet.BaseRestlet;

/**
 * @author dwinter
 *
 */
public class Tag {

	    public String uri;
	    public String name;
	    public String id;
	    
	    
		public Tag(String id, String uri, String name) {
			this.uri=uri;
			this.id=id;
			this.name=name;
		}
		public String getUri() {
			if (uri==null){
				return BaseRestlet.TAGS_URI_PREFIX+getId(); // erzeuge uri aus if falls keine ID
			}
			return uri;
		}
		public void setUri(String uri) {
			this.uri = uri;
		}
		public String getName() {
			return name;
		}
		public void setName(String name) {
			this.name = name;
		}
		public String getId() {
			if (id==null){
				return getName(); //take name if id not defined
			}
			return id;
		}
		public void setId(String id) {
			this.id = id;
		}

}
